// IDownloadInterface.aidl
package com.lantern.webview.aidl;

// Declare any non-default types here with import statements

import com.lantern.webview.download.utils.WkAppStoreApkInfo;
import com.lantern.webview.download.utils.WkAppStoreActivateAppInfo;

interface IDownloadInterface {
    //WebViewDownloadManager
    long startDownload(String aUrl, String aUserAgent, String aContentDisposition, String aMimetype,
                boolean aQuiet);

    long startDownloadApk(inout WkAppStoreApkInfo aApkInfo);

    void pauseDownloadAPk(inout WkAppStoreApkInfo aApkInfo);

    void resumeDownloadAPk(inout WkAppStoreApkInfo aApkInfo);

    int installDownloadAPk(inout WkAppStoreApkInfo aApkInfo);

    void openDownloadAPk(in String aPackageName);

    int removeDownload(in long[] ids);

    String getDownloadStatus(String sourceId);

    int activateApp(inout WkAppStoreActivateAppInfo aAppInfo);

    WkAppStoreActivateAppInfo getActivateAppInfo(String aAppHid);

    //WkAppStoreDbOperator
    WkAppStoreApkInfo findDownLoadApkInfoByHid(String hid);

    void saveDownloadApkInfos(inout List<WkAppStoreApkInfo> infos);

    void deleteDownApkLog(long downloadId);

    void deleteDownApkLogByHid(String hid);

    void deleteDownApkLogs(in long[] downloadIds);

    boolean isNewsProloaded(String md5);

    boolean isNewsImage(String md5);

}
